# __gnu_cxx::_ContainerConcept< _Container > Struct Template Reference

List of all members.

## Detailed Description

### template<class _Container>
struct __gnu_cxx::_ContainerConcept< _Container >

Definition at line 565 of file boost_concept_check.h.

## Public Types

- typedef _Container::const_iterator _Const_iterator
- typedef _Container::const_pointer _Const_pointer
- typedef _Container::const_reference _Const_reference
- typedef _Container::difference_type _Difference_type
- typedef _Container::size_type _Size_type
- typedef _Container::value_type _Value_type

## Public Member Functions

- void __constraints ()

## Public Attributes

- bool __b
- _Const_iterator __i
- _Size_type __n

The documentation for this struct was generated from the following file:

- boost_concept_check.h